import { BaseCustomWebComponentConstructorAppend } from '@node-projects/base-custom-webcomponent';
export type ThicknessEditorValueChangedEventArgs = {
    newValue?: string;
    oldValue?: string;
};
export declare class MetricsEditor extends BaseCustomWebComponentConstructorAppend {
    static readonly style: CSSStyleSheet;
    static readonly template: HTMLTemplateElement;
    property: string;
    unsetValue: string;
    private _borderDiv;
    private _elementDiv;
    constructor();
    ready(): void;
    onDoubleClick(event: PointerEvent): void;
    onKeyDown(event: KeyboardEvent): void;
    refresh(element: Element): void;
}
